/*				usage.c					*/
/*########################################################################
#                                                                        #
#                            Total IRC Access tunnel                     #
#                    by tHE rECIdjVO <recidjvo@pkcrew.org>               #
#                         http://tiatunnel.pkcrew.org/                   #
#                                                                        #
#   version: 0.9alpha3                                                   #
########################################################################*/

#define APP_TITLE "Total IRC Access tunnel"
#define VERSION "0.9alpha3"
#define AUTHOR "tHE rECIdjVO <recidjvo@pkcrew.org>"
#define URL "http://tiatunnel.pkcrew.org/"

#include "tiatunnel.h"

void usage(char *argv0);

void usage(char *argv0)
{
	printf("\n\t\t\t\t" APP_TITLE "\n\t\t\tby " AUTHOR "\n\t\t\t     " URL "\n\n");
	printf("version: " VERSION "\n");
	printf("usage:\t%s [-c config_file] [-l localhost] [-p localport] [-v]\n\t%s -h\n\n", argv0, argv0);
	printf("\t-c config_file\tuse specific file instead of " DEFAULT_CONF_FILE "\n"
	       "\t-l localhost\tbind on specific IPv4 address\n"
	       "\t-p localport\tbind on specific port (default %d)\n"
	       "\t-v\t\tbe verbose\n\n"
	       "\t-h\t\tprint this help and exit\n\n"
	       "\tIPv6 support:\t"
#ifdef _HAVE_TIA_IPV6
	       "yes"
#else
	       "no"
#endif
	       "\n\tSSL support:\t"
#ifdef _HAVE_TIA_SSL
	       "yes"
#else
	       "no"
#endif
	       "\n\n", DEFAULT_BIND_PORT);
	return;
}

/*				usage.c					*/
